Skip to main content
`Ctrl`+`K`

# EPSKrylovSchurSetRestart

Sets the restart parameter for the Krylov-Schur method, in particular the proportion of basis vectors that must be kept after restart.

## Synopsis

    #include "slepceps.h"
    PetscErrorCode EPSKrylovSchurSetRestart(EPS eps,PetscReal keep)

Logically Collective

## Input Parameters

- eps - the linear eigensolver context

- keep - the number of vectors to be kept at restart

## Options Database Key

- -eps_krylovschur_restart <keep> - sets the restart parameter

## Notes

Allowed values are in the range [0.1,0.9]. The default is 0.5, which means that at restart the current subspace is compressed into another subspace with a reduction of 50% in size.

Implementation details of Krylov-Schur in SLEPc can be found in [Hernandez et al., 2007].

## References

[Her07b]

V. Hernandez, J. E. Roman, A. Tomas, and V. Vidal. Krylov-schur methods in SLEPc. Technical Report STR-7, Universitat Politècnica de València, 2007. URL: https://slepc.upv.es/documentation.

## See Also

EPS: Eigenvalue Problem Solver, `EPSKRYLOVSCHUR`, `EPSKrylovSchurGetRestart()`

## Level

advanced

## Location

src/eps/impls/krylov/krylovschur/krylovschur.c

## Implementations

EPSKrylovSchurSetRestart_KrylovSchur() in src/eps/impls/krylov/krylovschur/krylovschur.c

Index of all EPS routines Table of Contents for all manual pages Index of all manual pages